
export default {
    data() {
        return {
            curtPageIndex: 0,

        };
    },
    computed: {},
    methods: {
        isShowToolBar() {
            if (this.isRenderPrint()) return false;
            if (this.conf.showToolBar === undefined) {
                return true;
            } else {
                return this.conf.showToolBar;
            }
        },
        // 解析设计时产生渲染报表页，更新总页数和开始页下标
        updatePagging(nextSheetIndex, newSheetCount, oldSheetCount) {
            let dashCount = newSheetCount - oldSheetCount;
            if (dashCount != 0) {
                this.conf.totalPage += dashCount;
                let sheets = this.getSheets();
                for (var i = nextSheetIndex, l = sheets.length; i < l; i++) {
                    let curtSht = sheets[i];
                    curtSht.pageIndex += dashCount;
                }
            }
        },
        onPageChange(pageIndex) {
            this.curtPageIndex = pageIndex;
        },
    }
}